Skip to main content

v0/endpoints REST API Endpoint

Creates a new endpoint.

Updated on
Jun 26, 2026

Body Parameters

chain
string
REQUIRED

The chain name for which the endpoint is to be created

network
string
REQUIRED

The chain network for which the endpoint is to be created

Returns

data
object

The data object which contains the following fields:

id
string

A unique identifier for the created endpoint

label
string

A descriptive label for the endpoint

chain
string

The blockchain the endpoint is associated with

network
string

The specific network of the blockchain

http_url
string

The HTTP URL to access the newly created endpoint

wss_url
string

The WebSocket URL to access the newly created endpoint

security
object

The security object which contains the following fields:

options
object

A list of security options available for the endpoint

tokens
boolean

Indicates whether token-based security is enabled

jwts
boolean

Indicates whether JWT-based security is enabled

domainMasks
boolean

Indicates whether domain mask security is enabled

ips
boolean

Indicates whether IP-based security is enabled

hosts
boolean

Indicates whether host-based security is enabled

referrers
boolean

Indicates whether referrer-based security is enable

validHosts
boolean

Indicates whether only valid hosts are allowed

requestFilters
boolean

Indicates whether request filters are applied

debugAuthErrors
boolean

Indicates whether detailed authentication error debugging is enabled

enforceChainNetwork
boolean

Indicates whether the specified chain and network are enforced for the endpoint

ipCustomHeader
boolean

Indicates whether a custom IP header is applied

hsts
boolean

Indicates whether HTTP Strict Transport Security (HSTS) is enforced

cors
boolean

Indicates whether Cross-Origin Resource Sharing (CORS) is enabled

jwts
array

An array of JSON Web Token (JWT) configurations

id
string

A unique identifier for the JWT

public_key
string

The public key used in the JWT

kid
string

A unique key identifier for the JWT public key

name
string

The name of the JWT

tokens
array

An array of token-based security configurations

id
string

A unique identifier for the token

token
string

The actual token value used for authentication

referrers
array

An array of referrer-based security configurations

id
string

A unique identifier for the referrer.

referrer
string

The referrer URL allowed to access the endpoint

domainMasks
array

An array of domain-based security configurations

id
string

A unique identifier for the domain mask

domain
string

The allowed domain for accessing the endpoint

ips
array

An array of IP-based security configurations

id
string

A unique identifier for the IP configuration

ip
string

The allowed IP address for accessing the endpoint

rate_limits
object

The rate_limits object which contains the following fields:

rate_limit_by_ip
boolean

Specifies if rate limiting is applied per IP

account
integer

The account-level rate limit

rps
integer

Requests per second limit

rpm
integer

Requests per minute limit

rpd
integer

Requests per day limit

error
string

Contains error information, if any

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free